---
- name: Installing nginx package
  ansible.builtin.apt:
    update_cache: yes
    install_recommends: no
    package:
      - nginx

# In case some directories are missing
- name: "Creating nginx configuration directory"
  ansible.builtin.file:
    path: "{{ nginx_conf_directory }}"
    owner: root
    mode: "644"
    state: directory

- name: "Create nginx drop-in configuration directory"
  ansible.builtin.file:
    owner: root
    mode: "644"
    path: "{{ nginx_conf_d_directory }}"
    state: directory

- name: "Creating sites directory"
  ansible.builtin.file:
    owner: root
    mode: "644"
    path: "{{ nginx_sites_available_directory }}"
    state: directory

- name: "Creating active sites directory"
  ansible.builtin.file:
    owner: root
    mode: "644"
    path: "{{ nginx_sites_enabled_directory }}"
    state: directory

- name: "Updating nginx configuration"
  ansible.builtin.template:
    backup: yes
    owner: "{{ nginx_user }}"
    group: "{{ nginx_user }}"
    mode: "644"
    src: nginx.conf.j2
    dest: /etc/nginx/nginx.conf
  notify:
    - Restart nginx

- name: "Adding default SSL configuration"
  ansible.builtin.template:
    backup: yes
    owner: "{{ nginx_user }}"
    group: "{{ nginx_group }}"
    mode: "644"
    src: ssl.conf.j2
    dest: "{{ nginx_ssl_conf_path }}"
  notify:
    - Restart nginx

- name: "Adding WS support"
  ansible.builtin.template:
    owner: "{{ nginx_user }}"
    group: "{{ nginx_user }}"
    mode: "644"
    src: ws-proxy.conf
    dest: "{{ nginx_ws_proxy_conf_path }}"
  notify:
    - Restart nginx
